Subject: bug#14250: 23.1; Files locked by myself

From: "Elrod, David" <[email-masked]>
Date: Wed, 19 Jun 2013 23:31:00 +0000

M-: (file-locked-p (buffer-file-name))
returns
  "elrodd@elroddDesk"

  M-: (system-name)
returns
  "[email-masked]"

  % ls -ld /tmp/.*
the interesting bit is:
  lrwxrwxrwx.  1 elrodd elrodd    53 Jun 19 16:23 /tmp/.#FOO -> elrodd@[email-masked]:1370987766

% ps -p 24745
  PID TTY          TIME CMD
24745 pts/1    00:00:01 emacs

% ps aux | head -1 ; ps aux | grep emacs
USER       PID %CPU %MEM    VSZ   RSS TTY      STAT START   TIME COMMAND
elrodd   24745  0.0  0.3 313904 29432 pts/1    S    15:59   0:01 emacs /tmp/FOO

I really appreciate your help!
David

________________________________________
From: Glenn Morris [[email-masked]]
Sent: Wednesday, June 19, 2013 15:53
To: Elrod, David
Cc: [email-masked]
Subject: Re: bug#14250: 23.1; Files locked by myself

"Elrod, David" wrote:

> My fault for not doing "reply all"...
>
> Typing:
>     ^Mx(file-locked-p

You said:

>  When I do:  M-:
>  the mini-buffer responds with "Eval: "
>
>  I then entered:
>     (file-locked-p(overview.html))

So oviously you know about M-:. Use:

  M-: (file-locked-p (buffer-file-name)) RET

(Though I have no idea what this is supposed to tell us.)

Also, what does:

M-: (system-name) RET

return?

>  Each time I try to save It shows:
>    /tmp/FOO locked by elrodd <at> elrodd... (pid 21418): (s, q, p, ?)?
>  or similar in the status bar.

At this point, what do the following show:

ls -ld /tmp/.*
ps -p 21418    # replace with number from above
ps -u elrodd | grep emacs

But again, simply compiling your own Emacs 24.3 may be easier.